
Member Nodes - Task #6807

MNDeployment # 3228 (Operational): NCEI - National Centers for Environmental Information

NODC: Scope the implementation

2015-02-03 18:28 - Laura Moyers

Status: Closed Start date: 2015-02-03

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Operational   

Story Points:    

Description

Determine which metadata standard and software stack will be used.  Select the MN Tier.  LINK TO 

http://jenkins-1.dataone.org/jenkins/job/DataONE-Operations-Manual/ws/operations/_build/html/member_node_deployment/select-tie

r.html

History

#1 - 2015-02-03 18:56 - Laura Moyers

- Status changed from New to In Progress

- % Done changed from 0 to 30

Ongoing meetings (1/16/15, 1/28/15) to clarify goals, etc.  Notes here: https://epad.dataone.org/pad/p/NODC_and_DataONE  

Current version of implementation plan here:  

https://docs.google.com/document/d/1C2UB67KsL1YmZG8qFlMcZneNbbsopPO4zMtTLY7-IQE/edit?usp=sharing

Schedule refinement to follow

Next steps:

1. collate examples of CSW service endpoints that NODC would like to expose as a "Member Node"

1. Given a CSW endpoint, identify how to list the content available at a level of granularity compatible with DataONE listObjects operation

2. Given an object identified in the list of content returned by a CSW

endpoint:

a) identify how the content can be categorized as Data, Metadata, or Resource object types, and also to determine the objectFormat identifier for

each instance.

b) identify how System Metadata for that content can be created

c) identify how the content can be retrieved

d) identify how to detect if content has changed?

3. Define the overall scope of expected performance. Given n objects available through CSW, how long will it take to enable access? How much

storage space will be required by the proxy MN? How often does content change on the CSW service?
#2 - 2015-02-04 20:22 - Laura Moyers

NODC will operate at Tier 1.  Currently, we are planning to use the "slender node" approach, taking ISO 19115-2 metadata from the CSW endpoint.

#3 - 2016-03-26 03:02 - Dave Vieglais

- Status changed from In Progress to Closed

- % Done changed from 30 to 100

- translation missing: en.field_remaining_hours set to 0.0
